// (C) dP

#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

ifstream fi ("hollow.in");
ofstream fo ("hollow.out");

long n;

int main () {
	
	fi >> n;

	long k;
	double i,j;

	for (k=0,i=0.0;i<1.0&&k<n;i+=0.02)
		for (j=0.0;j<1.0&&k<n;j+=0.02,k++)
			fo << i << " " << j << endl;

	return 0;
}
